#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x9e4537b6, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xc6eeea9f, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x94f5c939, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xae7dfb39, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea582312, "netif_stacked_transfer_operstate" },
	{ 0x6665a1da, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf5aad14c, "unregister_netdevice_queue" },
	{ 0x6e58abc0, "netdev_upper_dev_unlink" },
	{ 0xe8af884b, "__dev_get_by_index" },
	{ 0xd21ccde3, "register_netdevice" },
	{ 0x66323b1f, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x72b7efeb, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd226df97, "dev_uc_sync" },
	{ 0x1a68f22e, "dev_mc_sync" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0xfe28fd87, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xefab1b36, "skb_clone" },
	{ 0x878e5528, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe485f36f, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4ca1fea1, "__dev_queue_xmit" },
	{ 0x9726cafb, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x31fe881b, "__netif_rx" },
	{ 0xbb27a732, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8897a252, "netdev_core_stats_alloc" },
	{ 0x5b7b1f48, "passthru_features_check" },
	{ 0xba932917, "eth_validate_addr" },
	{ 0x6dc78a7a, "ndo_dflt_fdb_dump" },
	{ 0x151a4f1d, "ethtool_op_get_link" },
	{ 0x77a7068, "eth_header_parse" },
	{ 0xcf0a4615, "eth_header_cache" },
	{ 0x554b6780, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8e5b027, "ether_setup" },
	{ 0x891a4f27, "__ethtool_get_link_ksettings" },
	{ 0xa188e5f2, "ethtool_get_ts_info_by_layer" },
	{ 0xe568728f, "init_net" },
	{ 0x28f06b8f, "generic_hwtstamp_set_lower" },
	{ 0xee4450b1, "generic_hwtstamp_get_lower" },
	{ 0x57e4ff33, "dev_mc_del" },
	{ 0xe591ba36, "dev_uc_del" },
	{ 0x403277de, "dev_mc_add_excl" },
	{ 0xa0d13620, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa331d78f, "vlan_vid_del" },
	{ 0x4044a44c, "vlan_vid_add" },
	{ 0x744c40c4, "dev_set_allmulti" },
	{ 0x1aa39295, "dev_set_promiscuity" },
	{ 0x599f12a5, "dev_uc_unsync" },
	{ 0x2947936f, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdd1d4796, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xeb8810fe, "kfree_skb_reason" },
	{ 0xae975149, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x63687e3b, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdb1f54eb, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xccf54a54, "netdev_is_rx_handler_busy" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x2c8cacc6, "netdev_rx_handler_register" },
	{ 0x86138178, "dev_uc_add" },
	{ 0x886ec9d6, "call_netdevice_notifiers" },
	{ 0x1d175532, "netif_inherit_tso_max" },
	{ 0x656241ef, "netdev_update_features" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E9C474A79A89BDFD889463");
MODULE_INFO(rhelversion, "9.5");
