#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xbb7143fe, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x06acffbb, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xa39ff344, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x786fc1d5, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x15432801, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x84f2ff54, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x6f01ae30, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x711981ab, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xc2414846, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x275579c1, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x76ab8c54, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x073d0be4, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xf3043b0e, "_gpl");
SYMBOL_CRC(usbnet_open, 0xdf0d6ee0, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x53a5306c, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x75bf9887, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x85d003d7, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x3a670297, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x98bf0f78, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xb50ee366, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x1b8d6268, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x85c16050, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6ff8d166, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x323189f3, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xa379897d, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x3f881195, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x7fc5102d, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xfafc7fa8, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x532fd931, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x8c6a708d, "");
SYMBOL_CRC(usbnet_manage_power, 0xa073b426, "");
SYMBOL_CRC(usbnet_link_change, 0x6539a83e, "");
SYMBOL_CRC(usbnet_read_cmd, 0x2516b70c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x86935255, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xf98ddc18, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xfbfa072a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xfee085df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a81e3dc, "usb_set_interface" },
	{ 0x5265b3c, "usb_string" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5091d30c, "skb_defer_rx_timestamp" },
	{ 0xfe28fd87, "netif_rx" },
	{ 0x1dc62ba2, "eth_type_trans" },
	{ 0xfd5d6006, "skb_queue_tail" },
	{ 0x609c93d2, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3db12d7d, "skb_queue_purge_reason" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x135b251c, "usb_get_urb" },
	{ 0x50ac3023, "usb_unlink_urb" },
	{ 0xff07c8f, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x657af37f, "usb_submit_urb" },
	{ 0x2554e947, "netdev_err" },
	{ 0x326d6752, "mii_ethtool_get_link_ksettings" },
	{ 0x2eb1b6b7, "mii_ethtool_set_link_ksettings" },
	{ 0xf46d5dd1, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x5eb78cc, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8d5b20b1, "usb_scuttle_anchored_urbs" },
	{ 0xebc1c9d2, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c1f3b60, "free_netdev" },
	{ 0xfc6007f4, "netdev_info" },
	{ 0xe4640a4a, "netif_carrier_on" },
	{ 0xd35962c, "netif_carrier_off" },
	{ 0xde58b0e9, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x550a3d95, "usb_autopm_get_interface" },
	{ 0x92288114, "usb_autopm_put_interface" },
	{ 0x9b535b85, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x689fcbd, "mii_link_ok" },
	{ 0x151a4f1d, "ethtool_op_get_link" },
	{ 0x171111ac, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe026b10f, "skb_clone_tx_timestamp" },
	{ 0x8911d4b4, "usb_autopm_get_interface_async" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xda6d6939, "dev_kfree_skb_any_reason" },
	{ 0x30f43d9b, "skb_tstamp_tx" },
	{ 0x7578d019, "usb_anchor_urb" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb9425b89, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfa994116, "remove_wait_queue" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc43c3787, "netif_device_detach" },
	{ 0x88a6b02f, "netif_device_attach" },
	{ 0xc14093ec, "skb_dequeue" },
	{ 0x39535fbf, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x322abe45, "__init_waitqueue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xc1986620, "register_netdev" },
	{ 0x388e528d, "pm_runtime_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x93f06b26, "__netdev_alloc_skb" },
	{ 0xe485f36f, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa5fae73, "__wake_up" },
	{ 0x89ed42f1, "netif_tx_wake_queue" },
	{ 0xa940b81b, "usb_get_from_anchor" },
	{ 0x3b9264e2, "usb_autopm_get_interface_no_resume" },
	{ 0x5e72b601, "skb_put" },
	{ 0x6c2140f0, "usb_clear_halt" },
	{ 0x257f13d0, "eth_mac_addr" },
	{ 0xba932917, "eth_validate_addr" },
	{ 0x4ef0a199, "dev_get_tstats64" },
	{ 0x42b847da, "ethtool_op_get_ts_info" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.5");
