#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xfc3e38a4, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x48c787f8, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xf07d30bf, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x62a5b138, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x6a935e2a, "__skb_checksum_complete" },
	{ 0xb7c3fe1e, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1b5a1cf4, "skb_copy_bits" },
	{ 0xf3451252, "__nlmsg_put" },
	{ 0xaf7baacc, "netdev_adjacent_change_commit" },
	{ 0x257f13d0, "eth_mac_addr" },
	{ 0x5e72b601, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85c83dfb, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x975f39a5, "ip6_dst_hoplimit" },
	{ 0x9034a386, "param_ops_ushort" },
	{ 0xe485f36f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x127046c9, "udp_sock_create4" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x6f6c4639, "udp_tunnel6_xmit_skb" },
	{ 0x63687e3b, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x51ce2cc, "__unregister_nexthop_notifier" },
	{ 0x1d175532, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0xba932917, "eth_validate_addr" },
	{ 0xfc58aa57, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e82e05b, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x10801941, "rtnl_create_link" },
	{ 0xf5aad14c, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xead82482, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa8e5b027, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc328e2da, "udp_tunnel_drop_rx_port" },
	{ 0xdc7a087b, "pskb_expand_head" },
	{ 0x66323b1f, "netdev_upper_dev_link" },
	{ 0xf54d9fb7, "register_pernet_subsys" },
	{ 0x8897a252, "netdev_core_stats_alloc" },
	{ 0x1dc62ba2, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x51139ec2, "__alloc_skb" },
	{ 0xa8a8d567, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1952b705, "eth_gro_complete" },
	{ 0x5b09a7dc, "rtnl_set_sk_err" },
	{ 0x66e62847, "eth_gro_receive" },
	{ 0x5aa2e98b, "rtnl_configure_link" },
	{ 0xcd4086f4, "skb_tunnel_check_pmtu" },
	{ 0x42122da9, "udp_tunnel_dst_lookup" },
	{ 0x17c1d364, "rtnl_unicast" },
	{ 0x58b739d8, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x95363ddf, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe8af884b, "__dev_get_by_index" },
	{ 0xdb1f54eb, "rtnl_link_unregister" },
	{ 0xdbc6b7bc, "__skb_get_hash" },
	{ 0x316e1392, "ipv6_stub" },
	{ 0x4c52f863, "skb_pull" },
	{ 0xb6dfd105, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf61ab3d9, "dev_get_by_index_rcu" },
	{ 0xeb8810fe, "kfree_skb_reason" },
	{ 0x230d940b, "gro_cells_receive" },
	{ 0xc9286409, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x6e58abc0, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x7c1f3b60, "free_netdev" },
	{ 0x9c5a566e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x953f6cea, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9729a18e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x151a4f1d, "ethtool_op_get_link" },
	{ 0xba6336ee, "nexthop_find_by_id" },
	{ 0x7f878de8, "arp_create" },
	{ 0x891a4f27, "__ethtool_get_link_ksettings" },
	{ 0x3e1eb15a, "netdev_adjacent_change_prepare" },
	{ 0x6663cd7b, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x669af730, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x78a0d2ac, "rhashtable_free_and_destroy" },
	{ 0xec38b160, "rht_bucket_nested_insert" },
	{ 0x2309cb84, "netdev_adjacent_change_abort" },
	{ 0xaae47e1d, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x97f00585, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x410395bb, "__iptunnel_pull_header" },
	{ 0xcdf169e4, "__pskb_pull_tail" },
	{ 0x4ef0a199, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xfe28fd87, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3065c5e8, "rhashtable_destroy" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x48a3859c, "setup_udp_tunnel_sock" },
	{ 0x4879006b, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd8e97a20, "skb_trim" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x609c93d2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5fa9c173, "skb_scrub_packet" },
	{ 0xc7af8b7d, "nexthop_select_path" },
	{ 0xcee5718d, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf45d3804, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf49fb09, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0x3748f7e, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x17a58e67, "rtnl_notify" },
	{ 0x59952fb3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x31fe881b, "__netif_rx" },
	{ 0xefab1b36, "skb_clone" },
	{ 0x55928cd5, "metadata_dst_alloc" },
	{ 0x1a2fa927, "dst_release" },
	{ 0x60598440, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xe5eb34ca, "udp_tunnel_notify_del_rx_port" },
	{ 0xf9f39374, "register_nexthop_notifier" },
	{ 0x677735de, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9030288c, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xfc6007f4, "netdev_info" },
	{ 0xcdcc9020, "neigh_lookup" },
	{ 0xefa1ae44, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd21ccde3, "register_netdevice" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3C85ED4E082CBAE0993668C");
MODULE_INFO(rhelversion, "9.5");
