#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x16e58e52, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xd34ee21c, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x7c1e05ee, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0xe83ba2c4, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x3499e025, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xef3d14ac, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x88e6c380, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x473e45e0, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x6df832d7, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x5bf353d7, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x66280b59, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x398d246f, "");
SYMBOL_CRC(vfio_unpin_pages, 0x23693a25, "");
SYMBOL_CRC(vfio_dma_rw, 0x324acae4, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xad173ac2, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x0fce6c5b, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xd9d4e682, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xec23e4ce, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x171c44f7, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xe957a005, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xc471d1da, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x45101c7a, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x528cfd61, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x2e7e6262, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xdd837b2d, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x2f6d54c3, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x62b46ce7, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xac6c2e44, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xa680f0c8, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x4fce8b6d, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x1c167c11, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0xa38f2ee2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xd3f75d81, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x25661d3c, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xd562200f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1de40d24, "anon_inode_getfile" },
	{ 0x1800c9ba, "__init_rwsem" },
	{ 0xfb1cca07, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdbd721eb, "iommufd_access_detach" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6cfd4a85, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x36070b6a, "cdev_device_del" },
	{ 0x7d2760a, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x47ad223e, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x148cc2d2, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xf9af354, "device_initialize" },
	{ 0x40664b30, "iommufd_device_attach" },
	{ 0x29d68a36, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x526d0d27, "iommufd_access_pin_pages" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0xb9425b89, "add_wait_queue" },
	{ 0x7fe63554, "iommufd_ctx_from_fd" },
	{ 0x8307ca87, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x5f61205c, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x6f1f1c84, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc2a897c, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8b693d77, "put_device" },
	{ 0x957eaee0, "iommufd_ctx_from_file" },
	{ 0xfd8ef234, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1e406953, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x96dfd587, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x8635979b, "fput" },
	{ 0x38c11315, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x36523dc6, "up_write" },
	{ 0x4ef0d42e, "device_add" },
	{ 0x833d543f, "xa_load" },
	{ 0x8714ecfd, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xe550a2e7, "class_create" },
	{ 0x29b0bc4d, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xd172876a, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x25c2db66, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x408cb96, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xa607097e, "iommufd_access_destroy" },
	{ 0xcb56303, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x8c7368c5, "iommufd_device_to_id" },
	{ 0xb2255b91, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9027564d, "__pm_runtime_resume" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0xac614769, "iommufd_ctx_put" },
	{ 0x87d65f30, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x1883a1ef, "iommufd_device_detach" },
	{ 0x27d648a9, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc9144569, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x24ae1f8c, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x184fd22c, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xf72807de, "__pm_runtime_idle" },
	{ 0x107a5c93, "cdev_init" },
	{ 0x1ebd4636, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf606db7, "eventfd_ctx_fileget" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0x6e882c77, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "4BD27DE9BCFB8AA71B190BC");
MODULE_INFO(rhelversion, "9.5");
