#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x64356b27, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x6f890786, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x4bc4a274, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xef0aa407, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x0a7c8dd8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xf8b54bf1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x9e93908b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xd9168b7f, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xed900267, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x99124e2c, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xb7dad354, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x21ff6c98, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x704d5033, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x1ae49d21, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x1bef01a8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x5c291bd7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xb924afc0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x9b243603, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xb5d2efed, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x6120c541, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x61dcda43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2e490a94, "perf_trace_run_bpf_submit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xbbf7ad49, "trace_event_buffer_reserve" },
	{ 0x4b035a88, "trace_event_buffer_commit" },
	{ 0x37351441, "event_triggers_call" },
	{ 0x4180c269, "trace_event_ignore_this_pid" },
	{ 0x751a0b16, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x1b1dc5e, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd2df5769, "bpf_trace_run1" },
	{ 0x8e18f4e, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x4879006b, "udp_sock_create6" },
	{ 0xea3a212e, "kernel_sock_shutdown" },
	{ 0x8d4b1270, "sock_release" },
	{ 0xc2fd591, "sock_create_kern" },
	{ 0xaab6f62f, "kernel_bind" },
	{ 0x6074f8f3, "kernel_connect" },
	{ 0x127046c9, "udp_sock_create4" },
	{ 0x20067c0, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x91d70f47, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39179186, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e772f2b, "idr_get_next_ul" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xeb8810fe, "kfree_skb_reason" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9c33d87f, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc14093ec, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd5d6006, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9bbd1fe, "ip_queue_xmit" },
	{ 0xdc7a087b, "pskb_expand_head" },
	{ 0x30e877df, "udp_set_csum" },
	{ 0x7c683c16, "inet6_csk_xmit" },
	{ 0x3b5a725a, "udp6_set_csum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x1a2fa927, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc07ba667, "idr_destroy" },
	{ 0xd950825f, "idr_alloc_u32" },
	{ 0x368acc58, "sockfd_lookup" },
	{ 0x9729a18e, "lock_sock_nested" },
	{ 0xefa1ae44, "release_sock" },
	{ 0xde594840, "idr_replace" },
	{ 0x8635979b, "fput" },
	{ 0x48a3859c, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcdf169e4, "__pskb_pull_tail" },
	{ 0x64266620, "trace_event_reg" },
	{ 0x8b93a853, "trace_event_raw_init" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D131D2F101ECA73E4757E91");
MODULE_INFO(rhelversion, "9.5");
