#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x5932bac5, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xa480f6f2, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x71a2614c, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x6746f11a, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x269e8df0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeca2ab7f, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x87430f28, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x364995aa, "inet_addr_type_table" },
	{ 0xb7c3fe1e, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x1b5a1cf4, "skb_copy_bits" },
	{ 0xa54f37ca, "inet_unregister_protosw" },
	{ 0x39179186, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7fdadb6f, "sock_wfree" },
	{ 0x5e72b601, "skb_put" },
	{ 0xe40b808b, "register_net_sysctl" },
	{ 0x1da8ee63, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x975f39a5, "ip6_dst_hoplimit" },
	{ 0xe485f36f, "consume_skb" },
	{ 0x13f33f68, "inet6_add_offload" },
	{ 0xc76c6b03, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7813c8ec, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x751a0b16, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcc23d18d, "l3mdev_fib_table_by_index" },
	{ 0x127046c9, "udp_sock_create4" },
	{ 0xc14093ec, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7e6e33eb, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xa51d2213, "finish_wait" },
	{ 0xe5bec46a, "skb_segment" },
	{ 0x1b1dc5e, "trace_event_printf" },
	{ 0xac904613, "__ip_dev_find" },
	{ 0x6f6c4639, "udp_tunnel6_xmit_skb" },
	{ 0xa636551c, "sock_common_getsockopt" },
	{ 0x15a9ce81, "inet_bind" },
	{ 0xe51d6915, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4ad4acc, "prepare_to_wait" },
	{ 0x29d68a36, "fd_install" },
	{ 0x8b93a853, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x97f0a72, "inet_register_protosw" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaae62e63, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x34bbff46, "__tracepoint_sk_data_ready" },
	{ 0x8e18f4e, "bpf_trace_run2" },
	{ 0x4a39db7a, "sock_common_setsockopt" },
	{ 0xeb7dcfe3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa5fae73, "__wake_up" },
	{ 0x37351441, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x722e10d3, "ip_route_output_flow" },
	{ 0x1ce90d09, "rhashtable_walk_enter" },
	{ 0xea5bbd02, "kmem_cache_create" },
	{ 0x2bc7a6db, "__sk_mem_schedule" },
	{ 0x5447e427, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x73a3d44a, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc1bb36c, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5588c88e, "sk_error_report" },
	{ 0xf54d9fb7, "register_pernet_subsys" },
	{ 0xd683a4af, "put_cmsg" },
	{ 0x4b035a88, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x30d48827, "inet_sock_destruct" },
	{ 0x9b8e3bf5, "crypto_destroy_tfm" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xace5b3a4, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x762a70ea, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xa1570e57, "inet_getname" },
	{ 0xdbea1171, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4180c269, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x51139ec2, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xdbc0ea33, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0x797bd71f, "kmem_cache_alloc" },
	{ 0x72d94cc0, "proto_register" },
	{ 0xdaf13cdb, "skb_copy_expand" },
	{ 0x6e912e4f, "__wake_up_sync_key" },
	{ 0xa1d2030a, "__sock_recv_ts_and_drops" },
	{ 0x829d57cf, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x45ce52a8, "inet_ctl_sock_create" },
	{ 0x77a71548, "inet_ioctl" },
	{ 0x444c555c, "reuseport_add_sock" },
	{ 0x3752ead4, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3c2cb443, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1aae65b1, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2e490a94, "perf_trace_run_bpf_submit" },
	{ 0x8635979b, "fput" },
	{ 0x6a67ccb5, "inet_accept" },
	{ 0xe568728f, "init_net" },
	{ 0x530d7c9a, "crypto_shash_setkey" },
	{ 0x4c52f863, "skb_pull" },
	{ 0xa1ef073, "inet_add_offload" },
	{ 0x461e5170, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xaa997b33, "__SCK__tp_func_sk_data_ready" },
	{ 0xa03d1a56, "inet_add_protocol" },
	{ 0x58b49156, "inet_shutdown" },
	{ 0x9c33d87f, "sk_free" },
	{ 0xa51ad86d, "sock_wake_async" },
	{ 0xf61ab3d9, "dev_get_by_index_rcu" },
	{ 0xeb8810fe, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xad6c59e7, "inet_del_offload" },
	{ 0xc9286409, "skb_push" },
	{ 0x32a36604, "__ip_queue_xmit" },
	{ 0x23ebf26b, "kmem_cache_free" },
	{ 0x477f2974, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xe7e4f7cb, "proc_doulongvec_minmax" },
	{ 0x64266620, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa0b52032, "rhashtable_walk_start_check" },
	{ 0xa21da60, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9729a18e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe3212fb2, "inet6_ioctl" },
	{ 0xbcc3492e, "skb_copy_datagram_iter" },
	{ 0xbc02d451, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa8051b41, "idr_alloc_cyclic" },
	{ 0xd3da97d9, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x669af730, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe596ff22, "ip6_dst_lookup_flow" },
	{ 0x78a0d2ac, "rhashtable_free_and_destroy" },
	{ 0x279e5b87, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xec38b160, "rht_bucket_nested_insert" },
	{ 0xaae47e1d, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x58a97979, "sock_no_mmap" },
	{ 0x322abe45, "__init_waitqueue_head" },
	{ 0xcdf169e4, "__pskb_pull_tail" },
	{ 0xf2075c21, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x48a3859c, "setup_udp_tunnel_sock" },
	{ 0x4879006b, "udp_sock_create6" },
	{ 0xd8e97a20, "skb_trim" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef38c5f2, "sk_common_release" },
	{ 0x888eaebf, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xcee5718d, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0xcec9488a, "inet6_getname" },
	{ 0x886844dd, "sock_i_ino" },
	{ 0x5420208f, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x283632e8, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x97b12246, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe5bf1170, "ipv4_mtu" },
	{ 0x46e7ccf6, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbbf7ad49, "trace_event_buffer_reserve" },
	{ 0x3069ee44, "__skb_checksum" },
	{ 0x88e66ef9, "reuseport_alloc" },
	{ 0x6e4e5cda, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x14ae8065, "inet6_release" },
	{ 0x8af6d932, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xeaa7ef5a, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6280a0ce, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x24da4884, "rhltable_init" },
	{ 0x59952fb3, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe7245982, "proc_create_net_single" },
	{ 0xc9dc0365, "skb_copy" },
	{ 0xefab1b36, "skb_clone" },
	{ 0x937d5220, "inet_sk_set_state" },
	{ 0x1a2fa927, "dst_release" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0x8d4b1270, "sock_release" },
	{ 0x450db256, "inet_recv_error" },
	{ 0xd660a356, "proc_dointvec" },
	{ 0xc038657b, "seq_puts" },
	{ 0xf5cdf868, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x4aa7bbc2, "rhashtable_walk_next" },
	{ 0xb35960ba, "_proc_mkdir" },
	{ 0xae4f7b40, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8510f370, "send_sig" },
	{ 0x5d755025, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb8cb5779, "inet6_add_protocol" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x85997c91, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xc7f129b2, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xffdc7d2f, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x75603bec, "reuseport_detach_sock" },
	{ 0x152533b, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0x1ffb12d, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x8a29884b, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b2c7d51, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9b0c5b4, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xb3d5f7db, "kmem_cache_destroy" },
	{ 0xefa1ae44, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x62931226, "skb_queue_head" },
	{ 0x290c5d3, "proc_dointvec_minmax" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "249D094F4E5130517199CA8");
MODULE_INFO(rhelversion, "9.5");
