#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xef1d4139, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xfd62a7ea, "_gpl");
SYMBOL_CRC(ahci_ops, 0xcad3da99, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xfd7a791c, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x68bbdd3c, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x21ccaca9, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x8ba3a650, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xb30e3123, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xdb473af8, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x2a4b311a, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xbbaf3f57, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x3fa8266d, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x4e63f29a, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x7a010cfc, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xff7caee1, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xe4de03e6, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x8fb5a8bd, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xf1ee895a, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xa0864d4a, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x47901acd, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xcaeb1bc3, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x88a6bcb9, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x121e1c9a, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x7f096dae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26381c21, "ata_std_qc_defer" },
	{ 0xf445c03c, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0x7bf8b17f, "ata_port_classify" },
	{ 0xc9b9f982, "ata_qc_complete_multiple" },
	{ 0x9b8ce9c4, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x34b136e5, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xade3f1d, "ata_host_start" },
	{ 0x65af884d, "devm_request_threaded_irq" },
	{ 0x1bc1947e, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x578816cb, "ata_host_register" },
	{ 0x46559b0b, "ata_host_activate" },
	{ 0x408cb96, "_dev_warn" },
	{ 0xba4fd2a7, "ata_dummy_port_ops" },
	{ 0x371633e0, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xacc85b04, "devm_kmalloc" },
	{ 0xacfd273b, "dmam_alloc_attrs" },
	{ 0x437e5de, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xff4f7b9, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x689943a2, "sata_link_hardreset" },
	{ 0x67e1701e, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa4e4d56a, "ata_ehi_clear_desc" },
	{ 0xee0026b3, "ata_ehi_push_desc" },
	{ 0x30b52acf, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb24187a, "ata_port_abort" },
	{ 0x3b9663de, "sata_lpm_ignore_phy_events" },
	{ 0x1507e177, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x644716a, "param_ops_bool" },
	{ 0x9efcf2ad, "sata_pmp_port_ops" },
	{ 0x76aa5bc7, "dev_attr_sw_activity" },
	{ 0xe60b3852, "dev_attr_unload_heads" },
	{ 0x92383a4e, "dev_attr_ncq_prio_supported" },
	{ 0x4b73f6d, "dev_attr_ncq_prio_enable" },
	{ 0xd210ea30, "dev_attr_link_power_management_policy" },
	{ 0xdc94f8be, "dev_attr_em_message_type" },
	{ 0x8aab2f6d, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9027564d, "__pm_runtime_resume" },
	{ 0xf72807de, "__pm_runtime_idle" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x149832ac, "ata_link_next" },
	{ 0x6895611, "ata_wait_register" },
	{ 0xfd8ef234, "_dev_info" },
	{ 0xb4e36ab5, "ata_dev_set_feature" },
	{ 0x137cb23b, "sata_link_scr_lpm" },
	{ 0xd3e24a00, "ata_msleep" },
	{ 0xdfdc0c8d, "_dev_err" },
	{ 0x3d94265e, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "5961D94188DD8E84CA115C2");
MODULE_INFO(rhelversion, "9.5");
