#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xce157f45, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x63d6e707, "");
SYMBOL_CRC(__bcma_driver_register, 0x53a315ed, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x51aad299, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x78af10a2, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x5ede1974, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x3e6595e5, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x8733bc19, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xe9919723, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xe877dce8, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x940e6ffd, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x58cb350b, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xc9f2df97, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x49e234d5, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xb98fe2f6, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xde3060c9, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x96a9ab3d, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x9faa17fe, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x6b1c4fb7, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x0ce47461, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3b44094e, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xe0fc0871, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x7070bd56, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x12db24bd, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x65c8a40e, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x1b66fc16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7d1f1a, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6cfd4a85, "dev_set_name" },
	{ 0xa6244ae9, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbdbf47c, "device_unregister" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xbf29ac8f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf9af354, "device_initialize" },
	{ 0xd76eec52, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x85d366ed, "get_device" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0xa2f46520, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2df93ac, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x8b693d77, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfd8ef234, "_dev_info" },
	{ 0xa45f7354, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf945175c, "bus_unregister" },
	{ 0xdfdc0c8d, "_dev_err" },
	{ 0x4ef0d42e, "device_add" },
	{ 0x42852fe8, "platform_device_unregister" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x7b6a53ff, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x38153d24, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x408cb96, "_dev_warn" },
	{ 0x9bc0b52b, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xad49e243, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32fb848, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb43682c1, "platform_device_register_full" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x9686d316, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdab4ad30, "pci_disable_device" },
	{ 0x97ac9b18, "pcie_set_readrq" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x8fc0a569, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe47e21bc, "__dev_fwnode" },
	{ 0x8e46931c, "pci_write_config_dword" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xc81ab3b, "bus_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.5");
