#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x3da13aa6, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x648253ea, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xadf24231, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x5b6eafe0, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xae247a5a, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x12cf3429, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xf60b5d59, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x1817ec9c, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x640b9d30, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xa7915f86, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xc953741e, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x5f2ade32, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x43657bef, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xb9140c9a, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x789a232c, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x1ac8f019, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xcab0afa3, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x8bb6706f, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x91a55fd1, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x08cebe11, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x1b117d17, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xfb9a18e8, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x45b35e3f, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x630f95b1, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xd07590f1, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xd1ee1d91, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x19f8e196, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x7e42a01e, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x5ce42be9, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xe71482c1, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x8eb6adcb, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xf9c2a359, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xea07b998, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x2d802915, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x8a787207, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xcde5abe3, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xab446388, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x44a79d9f, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xe66acea8, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x03832e04, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x191dd195, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x3bbccdfd, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x9cabe1b7, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x1b3b4f2e, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xa8c820e1, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x9c74c7cd, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x2472be29, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x2a0c099b, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x628e7505, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x89eaa23e, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x9f715702, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x2c4c0f9b, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xe8fc4923, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xb0dfe9da, "_gpl");
SYMBOL_CRC(cxl_memdev_setup_fw_upload, 0x294fe96f, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x4584ffaf, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x24179ed0, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xfb593c85, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xbedabca9, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xf8bf40da, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xf544efb6, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xf80c3a8e, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xcd4dfdc3, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x3d80a5fb, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x3923a6c9, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xbbc865fe, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x66b3593d, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xc0a5d1f7, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x5ee49343, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x68597ba8, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x63d7e7af, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xa5b4e3ea, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x66beeaa9, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x0ac8d570, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xb2176060, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xf718d800, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x50d893f2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x8bda9b33, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x89575c23, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x8f5d7ebc, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x4387a236, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xe24181d1, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x3c36aed3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cd8e0cd, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x889d2a53, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xacc85b04, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6cfd4a85, "dev_set_name" },
	{ 0x9034a386, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x751a0b16, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x36070b6a, "cdev_device_del" },
	{ 0x56299eee, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xcbdbf47c, "device_unregister" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1b1dc5e, "trace_event_printf" },
	{ 0xa93d11fa, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf9af354, "device_initialize" },
	{ 0x8b93a853, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5e1f93a0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8e18f4e, "bpf_trace_run2" },
	{ 0x37351441, "event_triggers_call" },
	{ 0xfd49785e, "devm_remove_action" },
	{ 0x85d366ed, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x437e5de, "dev_driver_string" },
	{ 0x4b035a88, "trace_event_buffer_commit" },
	{ 0xb2df93ac, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x581ee6e7, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xfc2a897c, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x8b693d77, "put_device" },
	{ 0x4180c269, "trace_event_ignore_this_pid" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9bbe4016, "bus_for_each_dev" },
	{ 0xa7308137, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x96dfd587, "compat_ptr_ioctl" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2e490a94, "perf_trace_run_bpf_submit" },
	{ 0x1cf23289, "sysfs_update_group" },
	{ 0xf945175c, "bus_unregister" },
	{ 0x38c11315, "down_write" },
	{ 0xff4f7b9, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xdfdc0c8d, "_dev_err" },
	{ 0x36523dc6, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xb5d95a7d, "debugfs_create_bool" },
	{ 0xa4cbe8e6, "bus_find_device" },
	{ 0x4ef0d42e, "device_add" },
	{ 0x98277b4d, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x833d543f, "xa_load" },
	{ 0x13bf1c4, "noop_llseek" },
	{ 0x155cfb63, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xe10b2d54, "kernfs_find_and_get_ns" },
	{ 0x66789870, "debugfs_remove" },
	{ 0x989cd896, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x64266620, "trace_event_reg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x7b6a53ff, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x19acac04, "device_find_child" },
	{ 0xef045d72, "mutex_lock_interruptible" },
	{ 0x28d7bce7, "devm_release_action" },
	{ 0x25c2db66, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x953f1096, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x408cb96, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb1b31a16, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4466e11e, "down_read" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x52b3a0d7, "__xa_insert" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0x888eaebf, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x53e0ba97, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbbf7ad49, "trace_event_buffer_reserve" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x5334c22e, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0x2f165f7e, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x98d516ec, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xaf88d981, "device_match_name" },
	{ 0xf1c94a1d, "pci_walk_bus" },
	{ 0x1d5e3a25, "dev_err_probe" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0x5b020d4d, "__devm_add_action" },
	{ 0xed325ecf, "pci_find_dvsec_capability" },
	{ 0x599b09b6, "device_find_child_by_name" },
	{ 0x2b866d25, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc6b31a35, "pci_write_config_word" },
	{ 0x6978dd65, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc00016, "up_read" },
	{ 0x8fc0a569, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x107a5c93, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3662943, "pci_bus_type" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xc81ab3b, "bus_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EC981558F03B419F872468");
MODULE_INFO(rhelversion, "9.5");
