#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x7df1d9d0, "");
SYMBOL_CRC(drm_gem_vram_put, 0x67fdb922, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xdd80ea30, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x546850c9, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x965f4113, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xe3f2f336, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xb943820d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x1444554e, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x726e80df, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x99220075, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xfcf403bf, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xfecba595, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x005b6202, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xe5df1729, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xfe6e4d8f, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xe3d4677f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd03b387, "ttm_range_man_init_nocheck" },
	{ 0x6a0a9e74, "ww_mutex_lock_interruptible" },
	{ 0x65cdb2a8, "ttm_resource_manager_debug" },
	{ 0xbcce79b7, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x47706b0d, "ttm_range_man_fini_nocheck" },
	{ 0xdf699c50, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe26275d2, "ttm_bo_pin" },
	{ 0x437e5de, "dev_driver_string" },
	{ 0xa30bd445, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11c61fa3, "__drmm_add_action_or_reset" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1823139c, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x46797e26, "drm_gem_object_release" },
	{ 0x2753ea23, "ttm_tt_init" },
	{ 0x45a1fc34, "drm_gem_handle_create" },
	{ 0x3be1ab01, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7866b8b4, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xa671dd76, "drm_debugfs_add_files" },
	{ 0xb0efc3fd, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x18d463b4, "ttm_device_init" },
	{ 0xa5da0c30, "ttm_bo_validate" },
	{ 0xb3777508, "ttm_bo_move_to_lru_tail" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x6fca86e4, "ttm_bo_vmap" },
	{ 0x60e5dae5, "ttm_bo_put" },
	{ 0xc887b113, "ttm_resource_free" },
	{ 0xa762196d, "ttm_bo_move_memcpy" },
	{ 0x186c118e, "ttm_tt_fini" },
	{ 0xa82a5bd5, "ttm_device_fini" },
	{ 0x4a11a357, "drm_gem_plane_helper_prepare_fb" },
	{ 0xc11b25be, "ttm_bo_eviction_valuable" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0xa95e8dca, "drm_gem_ttm_print_info" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.5");
