#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x7f2ff848, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc535e0e3, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xef50923a, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xdb391784, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xb08b4bff, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x1310e716, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x644b9bcf, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x82b7833a, "");
SYMBOL_CRC(nd_device_notify, 0x1e8b9b32, "");
SYMBOL_CRC(nvdimm_region_notify, 0xfcdccc68, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x800aff5c, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x93bcbd6f, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xb80635d4, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x8d252d32, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xf3605542, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xfd156cab, "");
SYMBOL_CRC(nd_device_unregister, 0xe5e9c8fb, "");
SYMBOL_CRC(__nd_driver_register, 0xf22b930b, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xe9f2d40b, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xe8059bbe, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x02dddf98, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x1c7b72ba, "_gpl");
SYMBOL_CRC(to_ndd, 0xb49e37ab, "");
SYMBOL_CRC(nvdimm_name, 0xc2ff74f8, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xb4740f9b, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x71a88d73, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xf8071672, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x4dd61002, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x328de6ed, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xfbbcabb7, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x3ab395bc, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x046436f9, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xe0e360ab, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x9ac2e6a1, "_gpl");
SYMBOL_CRC(to_nd_region, 0xd51ba498, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x20886547, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x0aaabbba, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x602b8441, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x13d9ef3a, "");
SYMBOL_CRC(nd_region_release_lane, 0xfa3ec12f, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xb05e68b7, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x424471cd, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x8f526eeb, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xf1c4113b, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xa31fbca4, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x0768141f, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xba2364a5, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xc5770b02, "");
SYMBOL_CRC(pmem_sector_size, 0x53cc3deb, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x9e3e24ca, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xef32c3ef, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xa455355f, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x2cb5dfee, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xb6fbbbe1, "");
SYMBOL_CRC(devm_namespace_enable, 0x13edceec, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x254428e4, "_gpl");
SYMBOL_CRC(badrange_init, 0x9b72ee41, "_gpl");
SYMBOL_CRC(badrange_add, 0xf44c75fb, "_gpl");
SYMBOL_CRC(badrange_forget, 0xfeb98dbf, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xb6e22f9e, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xd9eb80af, "");
SYMBOL_CRC(is_nd_btt, 0x9fb667aa, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xef155393, "");
SYMBOL_CRC(nd_btt_version, 0x56218500, "");
SYMBOL_CRC(nd_btt_probe, 0x0a652fd6, "");
SYMBOL_CRC(to_nd_pfn, 0x30e8a121, "");
SYMBOL_CRC(is_nd_pfn, 0x8d53ed4f, "");
SYMBOL_CRC(nd_pfn_validate, 0xde5445f9, "");
SYMBOL_CRC(nd_pfn_probe, 0x99325702, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x7c988c0d, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x83a57a44, "");
SYMBOL_CRC(is_nd_dax, 0x0963cb07, "");
SYMBOL_CRC(nd_dax_probe, 0xa73b87af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x97f0422b, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xc2705b70, "blk_integrity_register" },
	{ 0xd562200f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xacc85b04, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x69fedb76, "devm_memremap" },
	{ 0x6cfd4a85, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9252d0d9, "badblocks_set" },
	{ 0xcbdbf47c, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xa51d2213, "finish_wait" },
	{ 0x47ad223e, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xf9af354, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf8edb0, "badblocks_exit" },
	{ 0x8e588968, "pcpu_hot" },
	{ 0x5e1f93a0, "device_for_each_child" },
	{ 0xf6b9126, "prepare_to_wait_event" },
	{ 0xa5fae73, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x85d366ed, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0xf2b6b35f, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x437e5de, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x581ee6e7, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8b693d77, "put_device" },
	{ 0x2540ded0, "badblocks_show" },
	{ 0x44c80cc2, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xfd8ef234, "_dev_info" },
	{ 0x1e406953, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x96dfd587, "compat_ptr_ioctl" },
	{ 0x7b3a76fd, "perf_pmu_migrate_context" },
	{ 0x4d16257f, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xac5851bd, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf945175c, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xdfdc0c8d, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0xeca8c1f5, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x4ef0d42e, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x13bf1c4, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xe550a2e7, "class_create" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xe10b2d54, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x7b6a53ff, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa2618739, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x19acac04, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x408cb96, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x322abe45, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x66c8da21, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x74e97149, "__devm_release_region" },
	{ 0xae65cd17, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2f165f7e, "kernfs_put" },
	{ 0xcfaea3c2, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdba833b8, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xe5fb10b6, "badblocks_check" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x5b020d4d, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x1ecb0080, "badblocks_clear" },
	{ 0x40eb5e7, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcc00016, "up_read" },
	{ 0x8fc0a569, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xc81ab3b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F66030C6769B1144F039F");
MODULE_INFO(rhelversion, "9.5");
