#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xfbafb703, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x643d7cae, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x9f435c55, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xc20bb27f, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x39cd8899, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x1ecdbf5a, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x94b7a670, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xe58b72ca, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x6686aaf1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x987a195d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x9e7f8af5, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x23bebbab, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xe441b5ce, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x70d0943f, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x1f488326, "");
SYMBOL_CRC(nf_nat_follow_master, 0x4eef1342, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x87ba3d0e, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x7ff3ab20, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xd3c73ab2, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x58b522af, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x5a635c58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdae5c085, "nf_ct_ext_add" },
	{ 0xeeb0420c, "__do_once_done" },
	{ 0xb5e6f50b, "nf_conntrack_find_get" },
	{ 0xd562200f, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x168ab80b, "nf_ip6_checksum" },
	{ 0x1b5a1cf4, "skb_copy_bits" },
	{ 0x616570ad, "nf_hook_entries_insert_raw" },
	{ 0xc019deb1, "xfrm_lookup" },
	{ 0x1caebed3, "nf_ct_seqadj_set" },
	{ 0x5e72b601, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe661b5a1, "nf_ct_helper_expectfn_unregister" },
	{ 0x1286f9f7, "__xfrm_decode_session" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4557ed9a, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc7a087b, "pskb_expand_head" },
	{ 0xf54d9fb7, "register_pernet_subsys" },
	{ 0x51b20da9, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbe6c4b79, "nf_ct_iterate_cleanup_net" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe5c5e45d, "ipv6_skip_exthdr" },
	{ 0x61c9e1b6, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xba795a07, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e406953, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6b565fa, "nf_conntrack_alter_reply" },
	{ 0x6182c20, "ip_route_me_harder" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x1d145ba5, "nf_hook_entries_delete_raw" },
	{ 0xc63cae44, "skb_ensure_writable" },
	{ 0xe2cc7948, "nf_unregister_net_hooks" },
	{ 0x93c7d19, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x669af730, "unregister_pernet_subsys" },
	{ 0xe536ae67, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x730a96b1, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8624726, "nf_ip_checksum" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xc5b5e206, "register_btf_kfunc_id_set" },
	{ 0x5311f22e, "nf_ct_iterate_destroy" },
	{ 0x8b86edc1, "inet_proto_csum_replace16" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa05c89ed, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3069ee44, "__skb_checksum" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x1ab180e1, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x1a2fa927, "dst_release" },
	{ 0x2f8a003b, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa22f2a5e, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xadda525a, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xafcc0d6e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2BC8075DFAE62DEFD8CCA91");
MODULE_INFO(rhelversion, "9.5");
