#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xed593aff, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xe2e7ad7a, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x04ec7cb9, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xde79f8f3, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x042b8923, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x6fab7da2, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x1fde5c87, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x48f94bde, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x95dcebdd, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x54fe9839, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x3f7e6cb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0xf54d9fb7, "register_pernet_subsys" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xc038657b, "seq_puts" },
	{ 0x669af730, "unregister_pernet_subsys" },
	{ 0x61c9e1b6, "nf_register_net_hooks" },
	{ 0xe2cc7948, "nf_unregister_net_hooks" },
	{ 0xc63cae44, "skb_ensure_writable" },
	{ 0x1ab180e1, "inet_proto_csum_replace4" },
	{ 0x6182c20, "ip_route_me_harder" },
	{ 0x6edd4ff2, "ip_local_out" },
	{ 0xeb8810fe, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xba795a07, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc019deb1, "xfrm_lookup" },
	{ 0x9a1691d, "ip6_local_out" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x1b5a1cf4, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x240ce7a3, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4edf5198, "nf_ct_tmpl_alloc" },
	{ 0xdae5c085, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xbc1bb36c, "proc_create_net_data" },
	{ 0xccb29161, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x51139ec2, "__alloc_skb" },
	{ 0x5e72b601, "skb_put" },
	{ 0xe5c5e45d, "ipv6_skip_exthdr" },
	{ 0x7f048d74, "nf_ct_seqadj_init" },
	{ 0xe485f36f, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.5");
