#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x718c0c8c, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xe5686621, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x8f0eaf6d, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x82e8e7c0, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x7546a19f, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x23cd5bd8, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x06c1d747, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xeaa53214, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xa1b77c57, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x74175b2c, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x2b09e8ed, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xf8b3eeaf, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x1818561e, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x813800e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xe039d85f, "device_property_present" },
	{ 0xba6bc2c0, "regcache_cache_only" },
	{ 0xeef9d9a0, "regcache_sync" },
	{ 0xaf27d3e4, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9e8665fc, "snd_soc_jack_report" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xbbd32819, "gpiod_set_value_cansleep" },
	{ 0xd187cf6b, "snd_pcm_hw_constraint_minmax" },
	{ 0x8640d8af, "regcache_sync_region" },
	{ 0x7bda075c, "snd_soc_put_enum_double" },
	{ 0x7b87f82d, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf63840a, "devm_gpiod_get_optional" },
	{ 0x487a0146, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39a16433, "devm_snd_soc_register_component" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x1baa260c, "device_property_read_u32_array" },
	{ 0x65eaa031, "snd_soc_get_enum_double" },
	{ 0xfd8ef234, "_dev_info" },
	{ 0x8da4e10c, "snd_soc_info_volsw" },
	{ 0x18609ec6, "regcache_drop_region" },
	{ 0xdfdc0c8d, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x408cb96, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66e60c05, "snd_soc_info_enum_double" },
	{ 0xa39a34da, "snd_soc_get_volsw" },
	{ 0xe55801fe, "regmap_read" },
	{ 0xb4a71b3f, "snd_soc_put_volsw" },
	{ 0x2ebd8e9, "snd_soc_component_update_bits" },
	{ 0x9027564d, "__pm_runtime_resume" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcfe9a7ec, "regmap_bulk_read" },
	{ 0xd3cab4b2, "regmap_update_bits_base" },
	{ 0x1d5e3a25, "dev_err_probe" },
	{ 0xaede25fa, "regmap_multi_reg_write" },
	{ 0x499da9e8, "__pm_runtime_suspend" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.5");
